#ifndef _Osmartstairs_H_
#define _Osmartstairs_H_

enum
{
	SMARTSTAIRS_STAIRS_GRP          		= 100000,

	SMARTSTAIRS_STAIRS_WIDTH        		= 101000,
	SMARTSTAIRS_STAIRS_HEIGHT       		= 101100,
	SMARTSTAIRS_STAIRS_DEPTH        		= 101200,
	
	SMARTSTAIRS_STAIRS_SDIMS        		= 101300,
	
	SMARTSTAIRS_STAIRS_SHEIGHT      		= 101400,
	SMARTSTAIRS_STAIRS_SDEPTH       		= 101500,
	
	SMARTSTAIRS_STAIRS_NUM          		= 101600,
	
	SMARTSTAIRS_STAIRS_REVERSE      		= 101700,
	
	SMARTSTAIRS_STAIRS_ANCHOR	      		= 101800,
	SMARTSTAIRS_STAIRS_ANCHOR_FRONT	      	= 101900,
	SMARTSTAIRS_STAIRS_ANCHOR_CENTER	    = 102000,
	SMARTSTAIRS_STAIRS_ANCHOR_BACK	      	= 102100,
	
	SMARTSTAIRS_STAIRS_RESETBTN				= 102200,
	SMARTSTAIRS_STAIRS_COPYBTN              = 102300,
	SMARTSTAIRS_STAIRS_PASTEBTN             = 102400,
	
	SMARTSTAIRS_TYPE_GRP					= 200000,
	SMARTSTAIRS_TYPE_INHERIT        		= 201000,

	SMARTSTAIRS_STAIRS_TYPE         		= 201100,
	SMARTSTAIRS_STAIRS_TYPE_STD     		= 201200,
	SMARTSTAIRS_STAIRS_TYPE_SOLID   		= 201300,
	SMARTSTAIRS_STAIRS_TYPE_SINGLE  		= 201400,
	SMARTSTAIRS_STAIRS_TYPE_DOUBLE  		= 201500,
	SMARTSTAIRS_STAIRS_TYPE_DOUBLE2 		= 201600,
	SMARTSTAIRS_STAIRS_TYPE_DOUBLE3 		= 201700,
	SMARTSTAIRS_STAIRS_TYPE_HELIX   		= 201800,
	SMARTSTAIRS_STAIRS_TYPE_TREADS  		= 201900,
	
	SMARTSTAIRS_STAIRS_ZIGZAG				= 202000,
	SMARTSTAIRS_STAIRS_TOBOTTOM             = 202100,
	SMARTSTAIRS_STAIRS_BOTTOMOFFSET         = 202200,

	SMARTSTAIRS_STAIRS_HELIX_DEG            = 202300,
	SMARTSTAIRS_STAIRS_HELIX_INRAD          = 202400,
	SMARTSTAIRS_STAIRS_HELIX_HASCYL         = 202500,
	SMARTSTAIRS_STAIRS_HELIX_CYLRAD         = 202600,
	
	SMARTSTAIRS_STAIRS_BASEWIDTH            = 202700,
	SMARTSTAIRS_STAIRS_BASEHEIGHT           = 202800,
	SMARTSTAIRS_STAIRS_BASEDISTANCE         = 202900,
	
	SMARTSTAIRS_STAIRS_CHILDBTN             = 203000,
	
	SMARTSTAIRS_STAIRS_HASTREADS            = 203100,
	SMARTSTAIRS_STAIRS_HASRAILING           = 203200,
		
	SMARTSTAIRS_TREADS_GRP          		= 300000,
	SMARTSTAIRS_TREADS_INHERIT      		= 301000,
	
	SMARTSTAIRS_TREADS_HEIGHT       		= 301100,
	SMARTSTAIRS_TREADS_DEPTH        		= 301200,
	SMARTSTAIRS_TREADS_OFFSETZ      		= 301300,
	SMARTSTAIRS_TREADS_OFFSETY 				= 301400,
	        
	SMARTSTAIRS_TREADS_HASFILLET    		= 301500,
	SMARTSTAIRS_TREADS_FILLETRAD    		= 301600,
	SMARTSTAIRS_TREADS_FILLETSUB    		= 301700,
	
	SMARTSTAIRS_TREADS_LINK         		= 301800,
	SMARTSTAIRS_TREADS_LINKSCALE    		= 301900,
	
	SMARTSTAIRS_RAILING_GRP					= 400000,
	SMARTSTAIRS_RAILING_INHERIT				= 401000,
	SMARTSTAIRS_RAILING_TYPE				= 401100,
	SMARTSTAIRS_RAILING_TYPE_RIGHT			= 401200,
	SMARTSTAIRS_RAILING_TYPE_LEFT			= 401300,
	SMARTSTAIRS_RAILING_TYPE_BOTH			= 401400,
	SMARTSTAIRS_RAILING_HEIGHT				= 401500,
	SMARTSTAIRS_RAILING_RAD1				= 401600,
	SMARTSTAIRS_RAILING_RAD2				= 401700,
	SMARTSTAIRS_RAILING_OFFSETX				= 401800,
	SMARTSTAIRS_RAILING_OFFSETZ				= 401900,
	SMARTSTAIRS_RAILING_OVERTOP				= 402000,
	SMARTSTAIRS_RAILING_OVERBOTTOM			= 402100,
	SMARTSTAIRS_RAILING_NTH					= 402200,
	SMARTSTAIRS_RAILING_LINK				= 402300,
	SMARTSTAIRS_RAILING_LINKSCALE			= 402400,
	SMARTSTAIRS_RAILING_HLINK               = 402500,
	SMARTSTAIRS_RAILING_HLINKSCALE          = 402600,
	
	SMARTSTAIRS_PLATFORM_GRP        		= 500000,
	
	SMARTSTAIRS_PLATFORM_DIRECTION  		= 501000,
	SMARTSTAIRS_PLATFORM_DIR_FRONT  		= 501100,
	SMARTSTAIRS_PLATFORM_DIR_RIGHT  		= 501200,
	SMARTSTAIRS_PLATFORM_DIR_LEFT   		= 501300,
	SMARTSTAIRS_PLATFORM_DIR_URIGHT 		= 501400,
	SMARTSTAIRS_PLATFORM_DIR_ULEFT  		= 501500,
	
	SMARTSTAIRS_PLATFORM_WIDTH      		= 501600,
	SMARTSTAIRS_PLATFORM_HEIGHT     		= 501700,
	SMARTSTAIRS_PLATFORM_DEPTH      		= 501800,
	
	SMARTSTAIRS_MATERIALS_GRP               = 600000,
	SMARTSTAIRS_MATERIALS_INHERIT           = 601000,
	SMARTSTAIRS_MATERIALS_BASELINK          = 601200,
	SMARTSTAIRS_MATERIALS_STEPLINK          = 601300,
	SMARTSTAIRS_MATERIALS_PLATFORMLINK      = 601400,
	SMARTSTAIRS_MATERIALS_RAILINGLINK       = 601500,
	SMARTSTAIRS_MATERIALS_HANDRAILLINK      = 601600,
	
	SMARTSTAIRS_ABOUT_GRP           		= 900000,
	SMARTSTAIRS_ABOUT_TXT           		= 901000,
	
	SMARTSTAIRS_ABOUT_HELPBTN       		= 901100,
	SMARTSTAIRS_ABOUT_UPDATEBTN       		= 901200,
	SMARTSTAIRS_ABOUT_MOREBTN               = 901300,
};

#endif